@import "../Modal/Modal";

.form-wrapper {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.4);
}

.form-container {
  max-width: 444px;
  background-color: #1E1E20;
  box-shadow: 0 4px 18px rgba(0, 0, 0, 0.52);
  padding: 31px 60px 38px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.page-form {
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
}

.page-form-field {
  margin-bottom: 15px;
  border: 1px solid #f2f2f2;
  border-radius: 4px;
  font-size: 14px;
  color: #bebebe;
  padding: 14px 0 16px 20px;
}

.page-form-field:last-child {
  margin-bottom: 12px;
}

.page-form-field:focus {
  color: #434343;
  box-shadow: 0 4px 18px rgba(0, 0, 0, 0.52);
  border: 1px solid #f2f2f2;
  outline: none;
}

.agree-checkbox {
  display: none;
}

.submit_button {
  background-color: rgba(60, 184, 120, 0.8);
  border-radius: 4px;
  border: 0;
  color: #fff;
  font-size: 14px;
  margin-top: 20px;
  padding: 16px 0;
  cursor: pointer;
  transition: background-color, 0.3s ease-in-out;
}

.submit_button:hover {
  background-color: #01813f;
}

.close {
  @extend .close;
  top: 20px;
  right: 20px;
}

.validation_error {
  color: #e73131;
}